import { MessageStatus } from "@cometchat/uikit-resources";
export declare class CometChatUIKitHelper {
    static onMessageSent(message: CometChat.BaseMessage, status: MessageStatus): void;
    static onMessageEdited(message: CometChat.BaseMessage, status: MessageStatus): void;
    static onMessageDeleted(message: CometChat.BaseMessage): void;
    static onMessageRead(message: CometChat.BaseMessage): void;
    static onLiveReaction(reaction: string): void;
    static onUserBlocked(user: CometChat.User): void;
    static onUserUnblocked(user: CometChat.User): void;
    static onGroupCreated(group: CometChat.Group): void;
    static onGroupDeleted(group: CometChat.Group): void;
    static onGroupLeft(message: CometChat.Action, leftUser: CometChat.User, leftGroup: CometChat.Group): void;
    static onGroupMemberScopeChanged(message: CometChat.Action, updatedUser: CometChat.GroupMember, scopeChangedTo: string, scopeChangedFrom: string, group: CometChat.Group): void;
    /**
    * [onGroupMemberBanned] is used to inform the listeners
    * when the logged-in user bans a group member
    */
    static onGroupMemberBanned(message: CometChat.Action, bannedUser: CometChat.User, bannedBy: CometChat.User, bannedFrom: CometChat.Group): void;
    /**
     * [onGroupMemberKicked] is used to inform the listeners
     * when the logged-in user kicks a group member from a group
     */
    static onGroupMemberKicked(message: CometChat.Action, kickedUser: CometChat.User, kickedBy: CometChat.User, kickedFrom: CometChat.Group): void;
    /**
     * [onGroupMemberUnbanned] is used to inform the listeners
     * when the logged-in user unbans a banned user of a group
     */
    static onGroupMemberUnbanned(message: CometChat.Action, unbannedUser: CometChat.User, unbannedBy: CometChat.User, unbannedFrom: CometChat.Group): void;
    /**
     * [onGroupMemberJoined] is used to inform the listeners
     * when the logged-in user joins a group
     */
    static onGroupMemberJoined(joinedUser: CometChat.User, joinedGroup: CometChat.Group): void;
    /**
     * [onGroupMemberAdded] is used to inform the listeners
     * when the logged-in user adds users to a group
     */
    static onGroupMemberAdded(messages: CometChat.Action[], usersAdded: CometChat.User[], groupAddedIn: CometChat.Group, addedBy: CometChat.User): void;
    /**
     * [onOwnershipChanged] is used to inform the listeners
     * when the logged-in user transfers their ownership to some other group member
     */
    static onOwnershipChanged(group: CometChat.Group, newOwner: CometChat.GroupMember): void;
    /**
     * [onConversationDeleted] is used to inform the listeners
     * when the logged-in user deletes a conversation
     */
    static onConversationDeleted(conversation: CometChat.Conversation): void;
    /**
     * [showPanel] used to reveal a panel above message composer
     */
    static showPanel(child: () => void): void;
    /**
     * [hidePanel] used to hide the panel above message composer
     */
    static hidePanel(): void;
    static onActiveChatChanged(user?: CometChat.User, group?: CometChat.Group, message?: CometChat.BaseMessage): void;
}
//# sourceMappingURL=CometChatUIKitHelper.d.ts.map