import { CometChat } from "@cometchat/chat-sdk-javascript";
export declare class CometChatUIKitUtility {
    /**
     * Creates a deep copy of the value provided
     *
     * @remarks
     * This function cannot copy truly private properties (those that start with a "#" symbol inside a class block).
     * Functions are copied by reference and additional properties on the array objects are ignored
     *
     * @param arg - Any value
     * @returns A deep copy of `arg`
     */
    static clone<T extends any>(arg: T): T;
    static checkHasOwnProperty: (obj: any, key: string) => boolean;
    static ID: () => string;
    static getUnixTimestamp: () => number;
    static getExtensionData(messageObject: CometChat.BaseMessage): any;
    static checkMessageForExtensionsData: (message: CometChat.BaseMessage | null, extensionKey: string) => any;
    static sanitizeHtml(htmlString: string, whitelistRegExes: RegExp[]): string;
}
//# sourceMappingURL=CometChatUIKitUtility.d.ts.map