import { AvatarStyle } from '@cometchat/uikit-elements';
import { ListItemStyle } from '@cometchat/uikit-elements';
import { SelectionMode, TitleAlignment } from '@cometchat/uikit-resources';
import { CometChatOption } from '@cometchat/uikit-resources';
import { AddMembersStyle } from '../Styles/AddMembersStyle';
import { UsersConfiguration } from './UsersConfiguration';
/**
 AddMembersConfiguration class.
* @property {any} subtitleView
* @property {any} listItemView
* @property {boolean} disableUsersPresence
* @property {any} menu
* @property {CometChatOption[]} options
* @property {string} backButtonIconURL
* @property {string} closeButtonIconURL
* @property {boolean} showBackButton
* @property {boolean} hideSeparator
* @property {SelectionMode} selectionMode
* @property {boolean} hideError
* @property {string} searchIconURL
* @property {boolean} hideSearch
* @property {((error:CometChat.CometChatException)=>void) | null} onError
* @property {(()=>void) | null} onBack
* @property {(()=>void) | null} onClose
* @property {(user:CometChat.User)=>void} onSelect
* @property {any} emptyStateView
* @property {any} errorStateView
* @property {string} loadingIconURL
* @property {boolean} showSectionHeader
* @property {string} sectionHeaderField
* @property {any} loadingStateView
* @property {((guid:string, members:CometChat.User[])=>void) | null} onAddMembersButtonClick
* @property {TitleAlignment} titleAlignment
* @property {any} statusIndicatorStyle
* @property {AvatarStyle} avatarStyle
* @property {AddMembersStyle} addMembersStyle
* @property {ListItemStyle} listItemStyle
*/
export declare class AddMembersConfiguration {
    usersRequestBuilder: CometChat.UsersRequestBuilder;
    searchRequestBuilder: CometChat.UsersRequestBuilder;
    subtitleView: any;
    listItemView: any;
    disableUsersPresence: boolean;
    menu: any;
    options: ((member: CometChat.User) => CometChatOption[]) | null;
    backButtonIconURL: string;
    closeButtonIconURL: string;
    showBackButton: boolean;
    hideSeparator: boolean;
    selectionMode: SelectionMode;
    hideError: boolean;
    searchIconURL: string;
    hideSearch: boolean;
    onError: ((error: CometChat.CometChatException) => void) | null;
    onBack: (() => void) | null;
    onClose: (() => void) | null;
    onSelect: (user: CometChat.User, selected: boolean) => void;
    emptyStateView: any;
    errorStateView: any;
    loadingIconURL: string;
    showSectionHeader: boolean;
    sectionHeaderField: string;
    loadingStateView: any;
    onAddMembersButtonClick: ((guid: string, members: CometChat.User[]) => void) | null;
    titleAlignment: TitleAlignment;
    usersConfiguration: UsersConfiguration;
    statusIndicatorStyle: any;
    avatarStyle: AvatarStyle;
    listItemStyle: ListItemStyle;
    addMembersStyle: AddMembersStyle;
    constructor(props: Partial<AddMembersConfiguration>);
}
//# sourceMappingURL=AddMembersConfiguration.d.ts.map