import { AvatarStyle } from '@cometchat/uikit-elements';
import { ListItemStyle } from '@cometchat/uikit-elements';
import { SelectionMode, TitleAlignment } from '@cometchat/uikit-resources';
import { CometChatOption } from '@cometchat/uikit-resources';
import { BannedMembersStyle } from '../Styles/BannedMembersStyle';
/**
 BannedMembersConfiguration class.
* @property {any} subtitleView
* @property {any} listItemView
* @property {boolean} disableUsersPresence
* @property {any} menu
* @property {CometChatOption[]} options
* @property {string} backButtonIconURL
* @property {string} closeButtonIconURL
* @property {boolean} showBackButton
* @property {boolean} hideSeparator
* @property {SelectionMode} selectionMode
* @property {boolean} hideError
* @property {string} searchIconURL
* @property {boolean} hideSearch
* @property {((error:CometChat.CometChatException)=>void) | null} onError
* @property {(()=>void) | null} onBack
* @property {(()=>void) | null} onClose
* @property {(member:CometChat.GroupMember)=>void} onSelect
* @property {any} emptyStateView
* @property {any} errorStateView
* @property {string} loadingIconURL
* @property {any} loadingStateView
* @property {((guid:string, members:CometChat.User[])=>void) | null} onAddMembersButtonClick
* @property {TitleAlignment} titleAlignment
* @property {any} statusIndicatorStyle
* @property {AvatarStyle} avatarStyle
* @property {BannedMembersStyle} bannedMembersStyle
* @property {ListItemStyle} listItemStyle
*/
export declare class BannedMembersConfiguration {
    bannedMembersRequestBuilder: CometChat.BannedMembersRequestBuilder;
    searchRequestBuilder: CometChat.BannedMembersRequestBuilder;
    subtitleView: any;
    listItemView: any;
    disableUsersPresence: boolean;
    menu: any;
    options: ((member: CometChat.GroupMember) => CometChatOption[]) | null;
    backButtonIconURL: string;
    closeButtonIconURL: string;
    showBackButton: boolean;
    hideSeparator: boolean;
    selectionMode: SelectionMode;
    hideError: boolean;
    searchIconURL: string;
    hideSearch: boolean;
    onError: ((error: CometChat.CometChatException) => void) | null;
    onBack: (() => void) | null;
    onClose: (() => void) | null;
    onSelect: (member: CometChat.GroupMember, selected: boolean) => void;
    emptyStateView: any;
    errorStateView: any;
    loadingIconURL: string;
    loadingStateView: any;
    titleAlignment: TitleAlignment;
    statusIndicatorStyle: any;
    avatarStyle: AvatarStyle;
    listItemStyle: ListItemStyle;
    bannedMembersStyle: BannedMembersStyle;
    constructor(props: Partial<BannedMembersConfiguration>);
}
//# sourceMappingURL=BannedMembersConfiguration.d.ts.map