import { CallButtonsStyle } from '../Styles/CallButtonsStyle';
import { CallScreenConfiguration } from './CallScreenConfiguration';
import { OutgoingCallConfiguration } from "./OutgoingCallConfiguration";
/**
  * @property {string} voiceCallIconURL - audio call icon.
    * @property {string} videoCallIconURL - video call icon.
  * @property {(error:CometChat.CometChatException)=>void} onError - callback for error.
  * @property {((user:CometChat.User,group:CometChat.Group)=>void) | null} onVoiceCallClick - The callback to initiate voice call.
   * @property {((user:CometChat.User,group:CometChat.Group)=>void) | null} onVideoCallClick - The callback to initiate video call.
  * @property {CallButtonsStyle} callButtonsStyle - The style for outgoingCall.
  * @property {CallScreenConfiguration} [ongoingCallConfiguration] - Configuration for the ongoing call screen.
  */
export declare class CallButtonsConfiguration {
    ongoingCallConfiguration?: CallScreenConfiguration;
    onVoiceCallClick?: ((user: CometChat.User, group: CometChat.Group) => void) | null | undefined;
    onVideoCallClick?: ((user: CometChat.User, group: CometChat.Group) => void) | null | undefined;
    callButtonsStyle?: CallButtonsStyle;
    voiceCallIconURL?: string;
    videoCallIconURL?: string;
    onError?: (error: CometChat.CometChatException) => void;
    outgoingCallConfiguration?: OutgoingCallConfiguration;
    constructor(configuration?: CallButtonsConfiguration);
}
//# sourceMappingURL=CallButtonsConfiguration.d.ts.map