import { SelectionMode, TabsVisibility } from '@cometchat/uikit-resources';
import { CometChatTabItem } from '@cometchat/uikit-resources';
import { UsersConfiguration } from './UsersConfiguration';
import { GroupsConfiguration } from './GroupsConfiguration';
import { ContactsStyle } from '../Styles/ContactsStyle';
/**
 ContactsConfiguration class.
* @property {UsersConfiguration} usersConfiguration
* @property {GroupsConfiguration} groupsConfiguration
* @property {string} closeIconURL
* @property {ContactsStyle} contactsStyle
* @property {SelectionMode} selectionMode
* @property {:()=>void} onClose
* @property {TabsVisibility} tabVisibility
* @property {number} selectionLimit
* @property {CometChatTabItem} tabs
* @property {boolean} hideSubmitButton
* @property {(users?: CometChat.User[], groups?: CometChat.Group[]) => void} onSubmitButtonClick
*/
export declare class ContactsConfiguration {
    usersConfiguration: UsersConfiguration;
    groupsConfiguration: GroupsConfiguration;
    closeIconURL: string;
    contactsStyle: ContactsStyle;
    selectionMode: SelectionMode;
    onClose: () => void;
    tabVisibility: TabsVisibility;
    selectionLimit: number;
    tabs: CometChatTabItem[];
    hideSubmitButton: boolean;
    onSubmitButtonClick: (users?: CometChat.User[], groups?: CometChat.Group[]) => void;
    constructor(props: Partial<ContactsConfiguration>);
}
//# sourceMappingURL=ContactsConfiguration.d.ts.map