import { CreateGroupStyle } from "@cometchat/uikit-elements";
/**

CreateGroupConfiguration class represents the configuration options for creating a new group.
@property {closeButtonIconURL} - A string representing the URL of the icon to be used for the close button. Default value is 'closeIcon'.
@property {hideCloseButton} - A boolean indicating whether or not to hide the close button. Default value is false.
@property {createGroupStyle} - An object representing the style options for the create group form. Default value is an empty object.
@property {onError} - A function to be called when an error occurs during group creation. Can be null.
@property {onClose} - A function to be called when the create group form is closed. Can be null.
*/
export declare class CreateGroupConfiguration {
    closeButtonIconURL: string;
    hideCloseButton: boolean;
    createGroupStyle: CreateGroupStyle;
    createClick: ((group: CometChat.Group) => void) | null;
    onError: ((error: CometChat.CometChatException) => void) | null;
    onClose: (() => void) | null;
    constructor(props: Partial<CreateGroupConfiguration>);
}
//# sourceMappingURL=CreateGroupConfiguration.d.ts.map