import { AvatarStyle, BackdropStyle, ListItemStyle, ChangeScopeStyle } from '@cometchat/uikit-elements';
import { SelectionMode, TitleAlignment, UserPresencePlacement } from '@cometchat/uikit-resources';
import { CometChatOption } from '@cometchat/uikit-resources';
import { GroupMembersStyle } from '../Styles/GroupMembersStyle';
/**
 BannedMembersConfiguration class.
* @property {any} subtitleView
* @property {any} listItemView
* @property {boolean} disableUsersPresence
* @property {UserPresencePlacement} userPresencePlacement
* @property {any} menu
* @property {CometChatOption[]} options
* @property {string} backButtonIconURL
* @property {string} closeButtonIconURL
* @property {boolean} showBackButton
* @property {boolean} hideSeparator
* @property {SelectionMode} selectionMode
* @property {boolean} hideError
* @property {string} searchIconURL
* @property {boolean} hideSearch
* @property {((error:CometChat.CometChatException)=>void) | null} onError
* @property {(()=>void) | null} onBack
* @property {(()=>void) | null} onClose
* @property {(member:CometChat.GroupMember)=>void} onSelect
* @property {any} emptyStateView
* @property {any} errorStateView
* @property {string} loadingIconURL
* @property {any} loadingStateView
* @property {((guid:string, members:CometChat.User[])=>void) | null} onAddMembersButtonClick
* @property {TitleAlignment} titleAlignment
* @property {any} statusIndicatorStyle
* @property {AvatarStyle} avatarStyle
* @property {GroupMemberStyle} groupMemberStyle
* @property {ChangeScopeStyle} groupScopeStyle
* @property {string} dropdownIconURL
* @property {ListItemStyle} listItemStyle
*/
export declare class GroupMembersConfiguration {
    groupMembersRequestBuilder: CometChat.GroupMembersRequestBuilder;
    searchRequestBuilder: CometChat.GroupMembersRequestBuilder;
    subtitleView: any;
    listItemView: any;
    disableUsersPresence: boolean;
    userPresencePlacement: UserPresencePlacement;
    menu: any;
    options: ((member: CometChat.GroupMember) => CometChatOption[]) | null;
    backButtonIconURL: string;
    closeButtonIconURL: string;
    showBackButton: boolean;
    hideSeparator: boolean;
    selectionMode: SelectionMode;
    hideError: boolean;
    searchIconURL: string;
    dropdownIconURL: string;
    hideSearch: boolean;
    onError: ((error: CometChat.CometChatException) => void) | null;
    onBack: (() => void) | null;
    onClose: (() => void) | null;
    onSelect: (member: CometChat.GroupMember, selected: boolean) => void;
    emptyStateView: any;
    errorStateView: any;
    loadingIconURL: string;
    loadingStateView: any;
    titleAlignment: TitleAlignment;
    statusIndicatorStyle: any;
    avatarStyle: AvatarStyle;
    groupMembersStyle: GroupMembersStyle;
    groupScopeStyle: ChangeScopeStyle;
    listItemStyle: ListItemStyle;
    backdropStyle: BackdropStyle;
    constructor(props: Partial<GroupMembersConfiguration>);
}
//# sourceMappingURL=GroupMembersConfiguration.d.ts.map