import { AvatarStyle } from '@cometchat/uikit-elements';
import { ListItemStyle } from '@cometchat/uikit-elements';
import { SelectionMode, TitleAlignment } from '@cometchat/uikit-resources';
import { GroupsStyle } from '../Styles/GroupsStyle';
import { BaseStyle } from '../Styles/BaseStyle';
import { CometChatOption } from '@cometchat/uikit-resources';
/**
  * @property {any} groupsRequestBuilder - The request builder for groups.
  * @property {any} searchRequestBuilder - The request builder for search.
  * @property {any} subtitleView - The view for subtitle.
  * @property {any} listItemView - The view for list item.
  * @property {any} menu - The menu.
  * @property {any} options - The options.
  * @property {boolean} hideSeparator - Indicates whether to hide separator or not.
  * @property {SelectionMode} selectionMode - The selection mode.
  * @property {boolean} hideError - Indicates whether to hide error or not.
  * @property {group:CometChat.Group} onSelect - The callback on select.
  * @property {any} emptyStateView - The view for empty state.
  * @property {any} errorStateView - The view for error state.
  * @property {string} loadingIconURL - The URL for loading icon.
  * @property {any} loadingStateView - The view for loading state.
  * @property {TitleAlignment} titleAlignment - The alignment of title.
  * @property {BaseStyle} statusIndicatorStyle - The style for status indicator.
  * @property {AvatarStyle} avatarStyle - The style for avatar.
  * @property {GroupsStyle} groupsStyle - The style for groups.
  * @property {ListItemStyle} listItemStyle - The style for list item.
  */
export declare class GroupsConfiguration {
    groupsRequestBuilder: CometChat.GroupsRequestBuilder;
    searchRequestBuilder: CometChat.GroupsRequestBuilder;
    subtitleView: any;
    listItemView: any;
    menu: any;
    privateGroupIcon: string;
    /**
     * @deprecated
     *
     * This property is deprecated as of version 4.3.9 due to newer property 'passwordGroupIcon'. It will be removed in subsequent versions.
     */
    protectedGroupIcon: string;
    passwordGroupIcon: string | undefined;
    options: ((member: CometChat.Group) => CometChatOption[]) | null;
    hideSeparator: boolean;
    selectionMode: SelectionMode;
    hideError: boolean;
    onSelect: (group: CometChat.Group, selected: boolean) => void;
    onItemClick: ((conversation: CometChat.Group) => void) | null;
    emptyStateView: any;
    errorStateView: any;
    loadingIconURL: string;
    searchIconURL: string;
    hideSearch: boolean;
    loadingStateView: any;
    titleAlignment: TitleAlignment;
    statusIndicatorStyle: BaseStyle;
    avatarStyle: AvatarStyle;
    groupsStyle: GroupsStyle;
    listItemStyle: ListItemStyle;
    constructor(props: Partial<GroupsConfiguration>);
}
//# sourceMappingURL=GroupsConfiguration.d.ts.map