import { JoinGroupStyle } from "@cometchat/uikit-elements";
import { MessageHeaderConfiguration } from "./MessageHeaderConfiguration";
/**

JoinGroupConfiguration class represents the configuration options for joining a  group.
@property {joinGroupStyle} - An object representing the style options for the join group form. Default value is an empty object.
@property {onError} - A function to be called when an error occurs during group creation. Can be null.
@property {onClose} - A function to be called when the create group form is closed. Can be null.
*/
export declare class JoinGroupConfiguration {
    joinGroupStyle: JoinGroupStyle;
    onError: ((error: CometChat.CometChatException) => void) | null;
    joinClick: ((group: CometChat.Group, password: string) => void) | null;
    messageHeaderConfiguration: MessageHeaderConfiguration;
    constructor(props: Partial<JoinGroupConfiguration>);
}
//# sourceMappingURL=JoinGroupConfiguration.d.ts.map