import { MessageHeaderStyle } from "../Styles/MessageHeaderStyle";
import { AvatarStyle } from '@cometchat/uikit-elements';
import { ListItemStyle } from '@cometchat/uikit-elements';
import { BaseStyle } from '../Styles/BaseStyle';
/**
* @class MessageHeaderConfiguration
* @property {any} subtitleView - The view that displays the message header subtitle.
* @property {boolean} disableUsersPresence - Whether the user presence should be disabled or not.
* @property {string} protectedGroupIcon - The URL for the protected group icon.
* @property {string} passwordGroupIcon - The URL for the password-protected group icon.
* @property {string} privateGroupIcon - The URL for the private group icon.
* @property {any} menu - The menu associated with the message header.
* @property {AvatarStyle} avatarStyle - The style for the message header avatar.
* @property {BaseStyle} statusIndicatorStyle - The style for the status indicator in the message header.
* @property {MessageHeaderStyle} messageHeaderStyle - The style for the message header.
* @property {ListItemStyle} listItemStyle - The style for the list item in the message header.
* @property {string} backButtonIconURL - The URL for the back button icon.
* @property {boolean} hideBackIcon - Whether the back icon should be hidden or not.
* @property {any} listItemView - The view for the list item.
* @property {any} onError - The callback function that is triggered in case of an error.
* @property {any} onBack - The callback function that is triggered when the back button is clicked.
*/
declare class MessageHeaderConfiguration {
    subtitleView: any;
    disableUsersPresence: boolean;
    /**
  * @deprecated
  *
  * This property is deprecated as of version 4.3.9 due to newer property 'passwordGroupIcon'. It will be removed in subsequent versions.
  */
    protectedGroupIcon: string;
    passwordGroupIcon: string | undefined;
    privateGroupIcon: string;
    menu: any;
    avatarStyle: AvatarStyle;
    statusIndicatorStyle: BaseStyle;
    messageHeaderStyle: MessageHeaderStyle;
    listItemStyle: ListItemStyle;
    backButtonIconURL: string;
    hideBackButton: boolean;
    listItemView: any;
    onError: ((error: CometChat.CometChatException) => void) | null;
    onBack: any;
    constructor(props: Partial<MessageHeaderConfiguration>);
}
export { MessageHeaderConfiguration };
//# sourceMappingURL=MessageHeaderConfiguration.d.ts.map