import { ListItemStyle } from '@cometchat/uikit-elements';
import { MessageInformationStyle } from '../Styles/MessageInformationStyle';
/**
  * @property {any} subtitleView - The view for subtitle.
  * @property {any} listItemView - The view for list item.
  * @property {any} bubbleView - The menu.
  * @property {DatePatterns} receiptDatePattern - Enum for date pattern
  * @property {DatePatterns} readIcon - Read icon url
  * @property {DatePatterns} deliveredIcon - Delivered icon url
  * @property {DatePatterns} closeIconURL - Close icon url
  * @property {any} emptyStateView - The view for empty state.
  * @property {any} errorStateView - The view for error state.
  * @property {string} loadingIconURL - The URL for loading icon.
  * @property {any} loadingStateView - The view for loading state.
  * @property {UsersStyle} messageInformationStyle - The style for users.
  * @property {ListItemStyle} listItemStyle - The style for list item.
  * @property {(()=>void) | null} onClose - The style for list item.
  * @property {((error:CometChat.CometChatException)=>void) | null} onError - The style for list item.
  */
export declare class MessageInformationConfiguration {
    subtitleView: any;
    listItemView: any;
    bubbleView: any;
    receiptDatePattern: (timestamp: number) => string;
    onClose: (() => void) | null;
    onError: ((error: CometChat.CometChatException) => void) | null;
    readIcon: string;
    deliveredIcon: string;
    listItemStyle: ListItemStyle;
    emptyStateView: any;
    errorStateView: any;
    loadingStateView: any;
    loadingIconURL: string;
    closeIconURL: string;
    messageInformationStyle: MessageInformationStyle;
    constructor(props: Partial<MessageInformationConfiguration>);
}
//# sourceMappingURL=MessageInformationConfiguration.d.ts.map