import { DetailsConfiguration } from "./DetailsConfiguration";
import { MessageComposerConfiguration } from "./MessageComposerConfiguration";
import { MessageHeaderConfiguration } from "./MessageHeaderConfiguration";
import { MessageListConfiguration } from "./MessageListConfiguration";
import { MessagesStyle } from '../Styles/MessagesStyle';
import { ThreadedMessagesConfiguration } from "./ThreadedMessagesConfiguration";
/**
 * @class MessagesConfiguration
 * @param {boolean} hideMessageComposer
 * @param {array} messageTypes
 * @param {string} customIncomingMessageSound
 * @param {string} customOutgoingMessageSound
 * @param {boolean} enableSoundForMessages
 * @param {boolean} enableSoundForCalls
 * @param {boolean} enableTypingIndicator
 * @param {object} messageListConfiguration
 * @param {object} messageHeaderConfiguration
 * @param {object} messageComposerConfiguration
 */
declare class MessagesConfiguration {
    hideMessageComposer: boolean;
    disableTyping: boolean;
    messageHeaderConfiguration: MessageHeaderConfiguration;
    messageListConfiguration: MessageListConfiguration;
    messageComposerConfiguration: MessageComposerConfiguration;
    threadedMessageConfiguration: ThreadedMessagesConfiguration;
    detailsConfiguration: DetailsConfiguration;
    customSoundForIncomingMessages: string;
    customSoundForOutgoingMessages: string;
    disableSoundForMessages: boolean;
    messagesStyle: MessagesStyle;
    messageHeaderView: any;
    messageComposerView: any;
    messageListView: any;
    hideMessageHeader: boolean;
    hideDetails: boolean;
    constructor(props: Partial<MessagesConfiguration>);
}
export { MessagesConfiguration };
//# sourceMappingURL=MessagesConfiguration.d.ts.map