import { AvatarStyle } from '@cometchat/uikit-elements';
import { OutgoingCallStyle } from '../Styles/OutgoingCallStyle';
/**
  * @property {string} declineButtonIconURL - close icon to cancel call.
  * @property {(error:CometChat.CometChatException)=>void} onError - callback for error.
  * @property {(()=>void) | null} onCloseClicked - The callback on select.
  * @property {any} customView - The view for outgoingCall.
  * @property {AvatarStyle} avatarStyle - The style for avatar.
  * @property {OutgoingCallStyle} outgoingCallStyle - The style for outgoingCall.
  */
export declare class OutgoingCallConfiguration {
    declineButtonIconURL: string;
    customView: any;
    onError: (error: CometChat.CometChatException) => void;
    onCloseClicked: (() => void) | null;
    avatarStyle: AvatarStyle;
    disableSoundForCalls: boolean;
    customSoundForCalls: string;
    outgoingCallStyle: OutgoingCallStyle;
    onDeclineButtonClicked: ((call: CometChat.Call) => void) | null;
    constructor(props: Partial<OutgoingCallConfiguration>);
}
//# sourceMappingURL=OutgoingCallConfiguration.d.ts.map