import { ReactionInfoStyle } from '../Chats/ReactionInfo/ReactionInfoStyle';
/**
 * Represents the configuration for reaction information.
 * @class ReactionInfoConfiguration
 * @property {ReactionInfoStyle} reactionInfoStyle - The style for the reaction information.
 * @property {CometChat.ReactionsRequestBuilder} reactionsRequestBuilder - The request builder for reactions.
 * @property {string} loadingIconURL - The URL for the loading icon.
 * @property {string} errorIconURL - The URL for the error icon.
 */
export declare class ReactionInfoConfiguration {
    reactionInfoStyle?: ReactionInfoStyle;
    reactionsRequestBuilder?: CometChat.ReactionsRequestBuilder;
    loadingIconURL?: string;
    errorIconURL?: string;
    /**
     * Creates an instance of ReactionInfoConfiguration.
     * @param {Partial<ReactionInfoConfiguration>} props - The properties to initialize the configuration.
     */
    constructor(props: Partial<ReactionInfoConfiguration>);
}
//# sourceMappingURL=ReactionInfoConfiguration.d.ts.map