import { AvatarStyle, ListItemStyle } from '@cometchat/uikit-elements';
import { ReactionListStyle } from '../Chats/ReactionList/ReactionListStyle';
/**
 * Represents the configuration for the reaction list.
 * @class ReactionListConfiguration
 * @property {ReactionListStyle} reactionListStyle - The style for the reaction list.
 * @property {CometChat.ReactionsRequestBuilder} reactionsRequestBuilder - The request builder for reactions.
 * @property {string} loadingIconURL - The URL for the loading icon.
 * @property {string} errorIconURL - The URL for the error icon.
 * @property {AvatarStyle} avatarStyle - The style for the avatar.
 * @property {ListItemStyle} listItemStyle - The style for the list item.
 * @property {(reaction: CometChat.MessageReaction, message: CometChat.BaseMessage) => void} reactionItemClicked - The function to be called when a reaction item is clicked.
 */
export declare class ReactionListConfiguration {
    reactionListStyle?: ReactionListStyle;
    reactionsRequestBuilder?: CometChat.ReactionsRequestBuilder;
    loadingIconURL?: string;
    errorIconURL?: string;
    avatarStyle?: AvatarStyle;
    listItemStyle?: ListItemStyle;
    reactionItemClicked?: (reaction: CometChat.Reaction, message: CometChat.BaseMessage) => void;
    /**
     * Creates an instance of ReactionListConfiguration.
     * @param {Partial<ReactionListConfiguration>} props - The properties to initialize the configuration.
     */
    constructor(props: Partial<ReactionListConfiguration>);
}
//# sourceMappingURL=ReactionListConfiguration.d.ts.map