import { ReactionInfoConfiguration } from './ReactionInfoConfiguration';
import { ReactionListConfiguration } from './ReactionListConfiguration';
import { ReactionsStyle } from '../Chats/Reactions/ReactionsStyle';
/**
 * Represents the configuration for reactions.
 * @class ReactionsConfiguration
 * @property {ReactionListConfiguration} reactionListConfiguration - The configuration for the reaction list.
 * @property {ReactionInfoConfiguration} reactionInfoConfiguration - The configuration for the reaction information.
 * @property {(reaction: CometChat.ReactionCount, message: CometChat.BaseMessage) => void} reactionClick - The function to be called when a reaction is clicked.
 * @property {ReactionsStyle} reactionsStyle - The style for the reactions.
 */
export declare class ReactionsConfiguration {
    reactionListConfiguration: ReactionListConfiguration;
    reactionInfoConfiguration: ReactionInfoConfiguration;
    reactionClick?: (reaction: CometChat.ReactionCount, message: CometChat.BaseMessage) => void;
    reactionsStyle: ReactionsStyle;
    /**
     * Creates an instance of ReactionInfoConfiguration.
     * @param {Partial<ReactionsConfiguration>} props - The properties to initialize the configuration.
     */
    constructor(props: Partial<ReactionsConfiguration>);
}
//# sourceMappingURL=ReactionsConfiguration.d.ts.map