import { ThreadedMessagesStyle } from "../Styles/ThreadedMessagesStyle";
import { MessageListConfiguration } from "./MessageListConfiguration";
import { MessageComposerConfiguration } from "./MessageComposerConfiguration";
/**
 * @class MessagesConfiguration
 * @param {boolean} hideMessageComposer
 * @param {string} customIncomingMessageSound
 * @param {string} customOutgoingMessageSound
 * @param {boolean} enableSoundForMessages
 * @param {boolean} enableSoundForCalls
 * @param {boolean} enableTypingIndicator
 * @param {object} messageListConfiguration
 * @param {object} messageHeaderConfiguration
 * @param {object} messageComposerConfiguration
 * @param {object} disableSoundForMessages
 */
declare class ThreadedMessagesConfiguration {
    onClose: (() => void) | null;
    onError: ((error: CometChat.CometChatException) => void) | null;
    closeIconURL: string;
    bubbleView: any;
    messageActionView: any;
    messageListConfiguration: MessageListConfiguration;
    messageComposerConfiguration: MessageComposerConfiguration;
    threadedMessagesStyle: ThreadedMessagesStyle;
    messageComposerView: any;
    messageListView: any;
    hideMessageComposer: boolean;
    disableSoundForMessages: boolean;
    constructor(props: Partial<ThreadedMessagesConfiguration>);
}
export { ThreadedMessagesConfiguration };
//# sourceMappingURL=ThreadedMessagesConfiguration.d.ts.map