import { AvatarStyle } from '@cometchat/uikit-elements';
import { ListItemStyle } from '@cometchat/uikit-elements';
import { TitleAlignment } from '@cometchat/uikit-resources';
import { CometChatOption } from '@cometchat/uikit-resources';
import { TransferOwnershipStyle } from '../Styles/TransferOwnershipStyle';
import { GroupMembersStyle } from '../Styles/GroupMembersStyle';
/**

TransferOwnershipConfiguration class represents the configuration options for transferring ownership of a group.
@property {groupMemberRequestBuilder} - An instance of CometChat.GroupMembersRequestBuilder to fetch group members. Required.
@property {searchRequestBuilder} - An instance of CometChat.GroupMembersRequestBuilder to search for group members. Required.
@property {subtitleView} - The view to be displayed as subtitle for the transfer ownership screen. Can be any.
@property {listItemView} - The view to be used to render individual list items. Can be any.
@property {disableUsersPresence} - A boolean indicating whether or not to disable presence of group members. Default value is false.
@property {options} - An array of CometChatOption objects to be displayed on the transfer ownership screen. Required.
@property {closeButtonIconURL} - A string representing the URL of the icon to be used for the close button. '.
@property {hideSeparator} - A boolean indicating whether or not to hide the separator between the header and body. Default value is false.
@property {searchIconURL} - A string representing the URL of the icon to be used for the search button.
@property {hideSearch} - A boolean indicating whether or not to hide the search bar. Default value is true.
@property {onError} - A function to be called when an error occurs during the transfer ownership process. Default value logs the error to console.
@property {onClose} - A function to be called when the transfer ownership screen is closed. Required.
@property {onTransferOwnership} - A function to be called when the ownership of the group is transferred. Required.
@property {emptyStateView} - The view to be displayed when there are no group members to transfer ownership to. Can be any.
@property {errorStateView} - The view to be displayed when there is an error while fetching group members. Can be any.
@property {loadingIconURL} - A string representing the URL of the icon to be used for the loading indicator. Default value is 'assets/Spinner.svg'.
@property {loadingStateView} - The view to be displayed while fetching group members. Can be any.
@property {statusIndicatorStyle} - An object representing the style options for the status indicator. .
@property {transferOwnershipStyle} - An object representing the style options for the transfer ownership screen. .
@property {avatarStyle} - An object representing the style options for the avatar image. .
@property {groupMemberStyle} - An object representing the style options for the group members list. .
@property {listItemStyle} - An object representing the style options for the individual list items. .
@property {titleAlignment} - an enum which represents the allignment of the title
**/
export declare class TransferOwnershipConfiguration {
    groupMembersRequestBuilder: CometChat.GroupMembersRequestBuilder;
    searchRequestBuilder: CometChat.GroupMembersRequestBuilder;
    subtitleView: any;
    listItemView: any;
    disableUsersPresence: boolean;
    options: ((member: CometChat.GroupMember) => CometChatOption[]) | null;
    closeButtonIconURL: any;
    hideSeparator: boolean;
    searchIconURL: any;
    hideSearch: boolean;
    onError: (error: CometChat.CometChatException) => void;
    onClose: () => void;
    onTransferOwnership: (member: CometChat.GroupMember) => void;
    emptyStateView: any;
    errorStateView: any;
    loadingIconURL: any;
    loadingStateView: any;
    statusIndicatorStyle: any;
    transferOwnershipStyle: TransferOwnershipStyle;
    avatarStyle: AvatarStyle;
    groupMemberStyle: GroupMembersStyle;
    listItemStyle: ListItemStyle;
    titleAlignment: TitleAlignment;
    constructor(props: Partial<TransferOwnershipConfiguration>);
}
//# sourceMappingURL=TransferOwnershipConfiguration.d.ts.map