import { ListItemStyle, AvatarStyle } from '@cometchat/uikit-elements';
import { SelectionMode, TitleAlignment } from '@cometchat/uikit-resources';
import { UsersStyle } from '../Styles/UsersStyle';
import { BaseStyle } from '../Styles/BaseStyle';
import { CometChatOption } from '@cometchat/uikit-resources';
/**
  * @property {any} usersRequestBuilder - The request builder for users.
  * @property {any} searchRequestBuilder - The request builder for search.
  * @property {any} subtitleView - The view for subtitle.
  * @property {boolean} disableUsersPresence - Indicates whether to disable users presence or not.
  * @property {any} listItemView - The view for list item.
  * @property {any} menu - The menu.
  * @property {any} options - The options.
  * @property {boolean} hideSeparator - Indicates whether to hide separator or not.
  * @property {SelectionMode} selectionMode - The selection mode.
  * @property {boolean} hideError - Indicates whether to hide error or not.
  * @property {group:CometChat.User} onSelect - The callback on select.
  * @property {any} emptyStateView - The view for empty state.
  * @property {any} errorStateView - The view for error state.
  * @property {string} loadingIconURL - The URL for loading icon.
  * @property {any} loadingStateView - The view for loading state.
  * @property {TitleAlignment} titleAlignment - The alignment of title.
  * @property {BaseStyle} statusIndicatorStyle - The style for status indicator.
  * @property {AvatarStyle} avatarStyle - The style for avatar.
  * @property {UsersStyle} usersStyle - The style for users.
  * @property {ListItemStyle} listItemStyle - The style for list item.
  */
export declare class UsersConfiguration {
    usersRequestBuilder: CometChat.UsersRequestBuilder;
    searchRequestBuilder: CometChat.UsersRequestBuilder;
    subtitleView: any;
    disableUsersPresence: boolean;
    listItemView: any;
    menu: any;
    options: ((member: CometChat.User) => CometChatOption[]) | null;
    onItemClick: ((conversation: CometChat.User) => void) | null;
    hideSeparator: boolean;
    selectionMode: SelectionMode;
    hideError: boolean;
    onSelect: (group: CometChat.User, selected: boolean) => void;
    emptyStateView: any;
    errorStateView: any;
    showSectionHeader: boolean;
    loadingStateView: any;
    loadingIconURL: string;
    searchIconURL: string;
    hideSearch: boolean;
    titleAlignment: TitleAlignment;
    statusIndicatorStyle: BaseStyle;
    avatarStyle: AvatarStyle;
    usersStyle: UsersStyle;
    listItemStyle: ListItemStyle;
    constructor(props: Partial<UsersConfiguration>);
}
//# sourceMappingURL=UsersConfiguration.d.ts.map