import { LitElement } from 'lit';
import { TimeSlotStyle } from './TimeSlotStyle';
import { TimeRange } from '../../Utils/SchedulerMessageUtils';
declare enum TimeFormat {
    "12hr" = "12hr",
    "24hr" = "24hr"
}
export declare class CometChatTimeSlot extends LitElement {
    calendarIconURL: string;
    timeSlotStyle: TimeSlotStyle;
    from: string;
    to: string;
    duration: number;
    timeFormat: TimeFormat;
    blockedTime?: Record<string, TimeRange[]>;
    availability?: Record<string, TimeRange[]>;
    availableSlots: any;
    timezoneCode: string;
    meetingDateRangeStart: number;
    meetingDateRangeEnd: number;
    buffer: number;
    onSelection?: (slotTimefrom: string, slotTimeto: string) => void;
    selectedDayDate: any;
    timezoneIconURL: string;
    emptySlotIconURL: string;
    slots: any;
    static styles: import("lit").CSSResult;
    constructor();
    _selectSlot(slot: any): void;
    connectedCallback(): void;
    render(): import("lit-html").TemplateResult<1>;
    getTitleStyle(): {
        font: string;
        color: string;
    };
    getSubtitleStyle(): {
        font: string;
        color: string;
    };
    timezoneStyles(): {
        font: string;
        color: string;
    };
    emptySlotStyle(): {
        textFont: string;
        textColor: string;
    };
    emptySlotIconStyle(): {
        iconTint: string;
        height: string;
        width: string;
    };
    getWrapperStyle(): {
        height: string;
        width: string;
        border: string;
        borderRadius: string;
        background: string;
    };
    getDividerStyle(): {
        height: string;
        width: string;
        background: string;
    };
    getSelectSlotStyles(): {
        font: string;
        color: string;
        border: string;
        borderRadius: string;
        background: string;
        display: string;
        alignItems: string;
        justifyContent: string;
        padding: string;
    };
}
declare global {
    namespace JSX {
        interface IntrinsicElements {
            "cometchat-time-slot": any;
        }
    }
    interface TagNameMap {
        'cometchat-time-slot': any;
    }
}
export {};
//# sourceMappingURL=cometchat-time-slot.d.ts.map