import { BaseStyle } from './BaseStyle';
/**
 * The AddMembersStyle class defines the style properties for adding members to a group.
 *
 * @extends BaseStyle
 *
 * @property {string} titleTextFont - Font style for the title text.
 * @property {string} titleTextColor - Color for the title text.
 * @property {string} searchPlaceholderTextFont - Font style for the search placeholder text.
 * @property {string} searchPlaceholderTextColor - Color for the search placeholder text.
 * @property {string} searchTextFont - Font style for the search text.
 * @property {string} searchTextColor - Color for the search text.
 * @property {string} emptyStateTextFont - Font style for the empty state text.
 * @property {string} emptyStateTextColor - Color for the empty state text.
 * @property {string} errorStateTextFont - Font style for the error state text.
 * @property {string} errorStateTextColor - Color for the error state text.
 * @property {string} loadingIconTint - Tint color for the loading icon.
 * @property {string} searchIconTint - Tint color for the search icon.
 * @property {string} searchBorder - Border for the search container.
 * @property {string} searchBorderRadius - Border radius for the search container.
 * @property {string} searchBackground - Background color for the search container.
 * @property {string} onlineStatusColor - Color for the online status indicator.
 * @property {string} separatorColor - Color for the separator.
 * @property {string} sectionHeaderTextFont - Font style for the section header text.
 * @property {string} sectionHeaderTextColor - Color for the section header text.
 * @property {string} boxShadow - Box shadow for the add members container.
 * @property {string} backButtonIconTint - Tint color for the back button icon.
 * @property {string} closeButtonIconTint - Tint color for the close button icon.
 * @property {string} privateGroupIconBackground - Background color for the private group icon.
 * @property {string} passwordGroupIconBackground - Background color for the password protected group icon.
 * @property {string} addMembersButtonBackground - Background color for the add members button.
 * @property {string} addMembersButtonTextColor - Text color for the add members button.
 * @property {string} addMembersButtonTextFont - Font style for the text in the add members button.
 */
export declare class AddMembersStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    searchPlaceholderTextFont?: string;
    searchPlaceholderTextColor?: string;
    searchTextFont?: string;
    searchTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    loadingIconTint?: string;
    searchIconTint?: string;
    searchBorder?: string;
    searchBorderRadius?: string;
    searchBackground?: string;
    onlineStatusColor?: string;
    separatorColor?: string;
    sectionHeaderTextFont?: string;
    sectionHeaderTextColor?: string;
    boxShadow?: string;
    backButtonIconTint?: string;
    closeButtonIconTint?: string;
    addMembersButtonBackground?: string;
    addMembersButtonTextColor?: string;
    addMembersButtonTextFont?: string;
    padding?: string;
    constructor(props: Partial<AddMembersStyle>);
}
//# sourceMappingURL=AddMembersStyle.d.ts.map