import { BaseStyle } from "./BaseStyle";
/**
 * BannedMembersStyle
 *
 * @extends BaseStyle
 *
 * @property {string} titleTextFont - The font of the title text.
 * @property {string} titleTextColor - The color of the title text.
 * @property {string} searchPlaceholderTextFont - The font of the search placeholder text.
 * @property {string} searchPlaceholderTextColor - The color of the search placeholder text.
 * @property {string} searchTextFont - The font of the search text.
 * @property {string} searchTextColor - The color of the search text.
 * @property {string} emptyStateTextFont - The font of the empty state text.
 * @property {string} emptyStateTextColor - The color of the empty state text.
 * @property {string} errorStateTextFont - The font of the error state text.
 * @property {string} errorStateTextColor - The color of the error state text.
 * @property {string} loadingIconTint - The tint of the loading icon.
 * @property {string} searchIconTint - The tint of the search icon.
 * @property {string} searchBorder - The border of the search field.
 * @property {string} searchBorderRadius - The border radius of the search field.
 * @property {string} searchBackground - The background color of the search field.
 * @property {string} onlineStatusColor - The color of the online status.
 * @property {string} separatorColor - The color of the separator.
 * @property {string} sectionHeaderTextFont - The font of the section header text.
 * @property {string} sectionHeaderTextColor - The color of the section header text.
 * @property {string} boxShadow - The box shadow style.
 * @property {string} backButtonIconTint - The tint of the back button icon.
 * @property {string} closeButtonIconTint - The tint of the close button icon.
 * @property {string} privateGroupIconBackground - The background color of the private group icon.
 * @property {string} passwordGroupIconBackground - The background color of the password group icon.
 * @property {string} unbanIconTint - The tint of the unban icon.
 */
export declare class BannedMembersStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    searchPlaceholderTextFont?: string;
    searchPlaceholderTextColor?: string;
    searchTextFont?: string;
    searchTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    loadingIconTint?: string;
    searchIconTint?: string;
    searchBorder?: string;
    searchBorderRadius?: string;
    searchBackground?: string;
    onlineStatusColor?: string;
    separatorColor?: string;
    boxShadow?: string;
    backButtonIconTint?: string;
    closeButtonIconTint?: string;
    unbanIconTint?: string;
    padding?: string;
    constructor(props: Partial<BannedMembersStyle>);
}
//# sourceMappingURL=BannedMembersStyle.d.ts.map