import { BaseStyle } from "./BaseStyle";
/**
 * CallLogHistoryStyle class represents the styles for users. It extends BaseStyle.
 *
 * @property {string} headingFont - Font of the heading.
 * @property {string} headingColor - Color of the heading.
 * @property {string} emptyStateTextColor - Color of the empty state text.
 * @property {string} emptyStateTextFont - Font of the empty state text.
 * @property {string} errorStateTextColor - Color of the error state text.
 * @property {string} errorStateTextFont - Font of the error state text.
 * @property {string} loadingIconTint - Tint of the loading icon.
 * @property {string} backIconTint - Tint of the back icon.
 * @property {string} dateTextFont - Font of the date text.
 * @property {string} dateTextColor - Color of the date text.
 * @property {string} dateSeparatorTextFont - Font of the date separator text.
 * @property {string} dateSeparatorTextColor - Color of the date separator text.
 * @property {string} callDurationTextFont - Font of the call duration text.
 * @property {string} callDurationTextColor - Color of the call duration text.
 * @property {string} callStatusTextFont - Font of the call status text.
 * @property {string} callStatusTextColor - Color of the call status text.
 * @property {string} dividerColor - Color of the divider.
 */
export declare class CallLogHistoryStyle extends BaseStyle {
    titleFont?: string;
    titleColor?: string;
    emptyStateTextColor?: string;
    emptyStateTextFont?: string;
    errorStateTextColor?: string;
    errorStateTextFont?: string;
    loadingIconTint?: string;
    backIconTint?: string;
    dateTextFont?: string;
    dateTextColor?: string;
    dateSeparatorTextFont?: string;
    dateSeparatorTextColor?: string;
    callDurationTextFont?: string;
    callDurationTextColor?: string;
    callStatusTextFont?: string;
    callStatusTextColor?: string;
    dividerColor?: string;
    constructor(style: Partial<CallLogHistoryStyle>);
}
//# sourceMappingURL=CallLogHistoryStyle.d.ts.map