import { BaseStyle } from "./BaseStyle";
/**
 * CallLogRecordingsStyle class represents the styles for users. It extends BaseStyle.
 *
 * @property {string} headingFont - Font of the heading.
 * @property {string} headingColor - Color of the heading.
 * @property {string} closeIconTint - Tint of the close icon.
 * @property {string} recordingDurationFont - Font of the recording duration text.
 * @property {string} recordingDurationColor - Color of the recording duration text.
 * @property {string} dateTextFont - Font of the date text.
 * @property {string} dateTextColor - Color of the date text.
 */
export declare class CallLogRecordingsStyle extends BaseStyle {
    titleFont?: string;
    titleColor?: string;
    backIconTint?: string;
    downloadIconTint?: string;
    recordingDurationFont?: string;
    recordingDurationColor?: string;
    dateTextFont?: string;
    dateTextColor?: string;
    constructor(style: Partial<CallLogRecordingsStyle>);
}
//# sourceMappingURL=CallLogRecordingsStyle.d.ts.map