import { BaseStyle } from "./BaseStyle";
/**
 * CallLogStyle class represents the styles for users. It extends BaseStyle.
 *
 * @property {string} headingFont - Font of the heading.
 * @property {string} headingColor - Color of the heading.
 * @property {string} emptyStateTextColor - Color of the empty state text.
 * @property {string} emptyStateTextFont - Font of the empty state text.
 * @property {string} errorStateTextColor - Color of the error state text.
 * @property {string} errorStateTextFont - Font of the error state text.
 * @property {string} loadingIconTint - Tint of the loading icon.
 * @property {string} closeIconTint - Tint of the close icon.
 * @property {string} infoIconTint - Tint of the info icon.
 * @property {string} missedCallIconTint - Tint of the missed call icon.
 * @property {string} outgoingCallIconTint - Tint of the outgoing call icon.
 * @property {string} incomingCallIconTint - Tint of the incoming call icon.
 * @property {string} callStatusTextFont - Font of the call status text.
 * @property {string} callStatusTextColor - Color of the call status text.
 * @property {string} dateTextFont - Font of the date text.
 * @property {string} dateTextColor - Color of the date text.
 * @property {string} dateSeparatorTextFont - Font of the date separator text.
 * @property {string} dateSeparatorTextColor - Color of the date separator text.
 */
export declare class CallLogsStyle extends BaseStyle {
    titleFont?: string;
    titleColor?: string;
    emptyStateTextColor?: string;
    emptyStateTextFont?: string;
    errorStateTextColor?: string;
    errorStateTextFont?: string;
    loadingIconTint?: string;
    infoIconTint?: string;
    missedCallIconTint?: string;
    outgoingCallIconTint?: string;
    incomingCallIconTint?: string;
    callStatusTextFont?: string;
    callStatusTextColor?: string;
    dateTextFont?: string;
    dateTextColor?: string;
    dateSeparatorTextFont?: string;
    dateSeparatorTextColor?: string;
    constructor(style: Partial<CallLogsStyle>);
}
//# sourceMappingURL=CallLogsStyle.d.ts.map