import { BaseStyle } from "./BaseStyle";
/**
 * The ContactsStyle class defines the style properties for adding members to a group.
 *
 * @extends BaseStyle
 *
 * @property {string} titleTextFont - Font style for the title text.
 * @property {string} titleTextColor - Color for the title text.
 * @property {string} errorStateTextFont - Font style for the error state text.
 * @property {string} errorStateTextColor - Color for the error state text.
 * @property {string} boxShadow - Box shadow for the contacts container.
 * @property {string} closeButtonIconTint - Tint color for the close button icon.
 * @property {string} submitButtonBackground - Background color for the contacts button.
 * @property {string} submitButtonTextColor - Text color for the contacts button.
 * @property {string} submitButtonTextFont - Font style for the text in the contacts button.
 * @property {string} tabWidth - Width of the tab
 * @property {string} tabHeight - Height of the tab
 * @property {string} tabBorder - Border of the tab
 * @property {string} tabBorderRadius - Border Radius of the tab
 * @property {string} tabBackground - Background of the tab
 * @property {string} tabTitleTextFont - Font style for the tab title
 * @property {string} tabTitleTextColor - Font style for the tab title
 * @property {string} activeTabTitleTextColor - Font style for the active tab title
 * @property {string} activeTabTitleTextFont - Font style for the active tab title
 * @property {string} activeTabBackground  - Background style for the active tab
 * @property {string} activeTabBorder - Border style for the active tab
 * @property {string} selectionIconTint - Selection icon tint
 */
export declare class ContactsStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    closeIconTint?: string;
    tabWidth?: string;
    tabHeight?: string;
    tabBorder?: string;
    tabBorderRadius?: string;
    tabBackground?: string;
    tabTitleTextFont?: string;
    tabTitleTextColor?: string;
    activeTabTitleTextColor?: string;
    activeTabTitleTextFont?: string;
    activeTabBackground?: string;
    /**
    * @deprecated This property is no longer used and will be removed in future versions.
    */
    activeTabBorder?: string;
    selectionIconTint?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    boxShadow?: string;
    submitButtonBackground?: string;
    submitButtonTextColor?: string;
    submitButtonTextFont?: string;
    padding?: string;
    constructor(props: Partial<ContactsStyle>);
}
//# sourceMappingURL=ContactsStyle.d.ts.map