import { BaseStyle } from "./BaseStyle";
/**
 * ConversationsStyle
 *
 * @extends BaseStyle
 *
 * @property {string} titleTextFont - The font of the title text.
 * @property {string} titleTextColor - The color of the title text.
 * @property {string} searchPlaceholderTextFont - The font of the search placeholder text.
 * @property {string} searchPlaceholderTextColor - The color of the search placeholder text.
 * @property {string} searchTextFont - The font of the search text.
 * @property {string} searchTextColor - The color of the search text.
 * @property {string} emptyStateTextFont - The font of the empty state text.
 * @property {string} emptyStateTextColor - The color of the empty state text.
 * @property {string} errorStateTextFont - The font of the error state text.
 * @property {string} errorStateTextColor - The color of the error state text.
 * @property {string} loadingIconTint - The tint color of the loading icon.
 * @property {string} searchIconTint - The tint color of the search icon.
 * @property {string} searchBorder - The border of the search input.
 * @property {string} searchBorderRadius - The border radius of the search input.
 * @property {string} searchBackground - The background color of the search input.
 * @property {string} onlineStatusColor - The color of the online status indicator.
 * @property {string} separatorColor - The color of the separator.
 * @property {string} boxShadow - The box shadow of the component.
 * @property {string} privateGroupIconBackground - The background color of the private group icon.
 * @property {string} passwordGroupIconBackground - The background color of the password group icon.
 * @property {string} sectionHeaderTextFont - The font of the section header text.
 * @property {string} sectionHeaderTextColor - The color of the section header text.
 * @property {string} lastMessageTextColor - The color of the last message text.
 * @property {string} lastMessageTextFont - The font of the last message text.
 * @property {string} typingIndictorTextColor - The color of the typing indicator text.
 * @property {string} typingIndictorTextFont - The font of the typing indicator text.
 * @property {string} threadIndicatorTextFont - The font of the thread indicator text.
 * @property {string} threadIndicatorTextColor - The color of the thread indicator text.
 */
export declare class ConversationsStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    loadingIconTint?: string;
    onlineStatusColor?: string;
    separatorColor?: string;
    boxShadow?: string;
    privateGroupIconBackground?: string;
    passwordGroupIconBackground?: string;
    lastMessageTextColor?: string;
    lastMessageTextFont?: string;
    typingIndictorTextColor?: string;
    typingIndictorTextFont?: string;
    threadIndicatorTextFont?: string;
    threadIndicatorTextColor?: string;
    constructor(props: Partial<ConversationsStyle>);
}
//# sourceMappingURL=ConversationsStyle.d.ts.map