import { BaseStyle } from "./BaseStyle";
/**
 * DetailsStyle
 *
 * @extends BaseStyle
 *
 * @property {string} titleTextFont - The font of the title text.
 * @property {string} titleTextColor - The color of the title text.
 * @property {string} onlineStatusColor - The color of the online status indicator.
 * @property {string} separatorColor - The color of the separator.
 * @property {string} privateGroupIconBackground - The background color of the private group icon.
 * @property {string} passwordGroupIconBackground - The background color of the password group icon.
 * @property {string} subtitleTextColor - The color of the subtitle text.
 * @property {string} subtitleTextFont - The font of the subtitle text.
 * @property {string} closeButtonIconTint - The color of the close button
 *  @property {string} margin - The margin of the DetailsComponent
 */
export declare class DetailsStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    onlineStatusColor?: string;
    privateGroupIconBackground?: string;
    passwordGroupIconBackground?: string;
    subtitleTextColor?: string;
    subtitleTextFont?: string;
    closeButtonIconTint?: string;
    padding?: string;
    constructor(props: Partial<DetailsStyle>);
}
//# sourceMappingURL=DetailsStyle.d.ts.map