import { BaseStyle } from "./BaseStyle";
/**
 * GroupMembersStyle Class representing the styles for group members
 *
 * @property {string} titleTextFont - The font style for the title text.
 * @property {string} titleTextColor - The text color for the title text.
 * @property {string} searchPlaceholderTextFont - The font style for the search placeholder text.
 * @property {string} searchPlaceholderTextColor - The text color for the search placeholder text.
 * @property {string} searchTextFont - The font style for the search text.
 * @property {string} searchTextColor - The text color for the search text.
 * @property {string} emptyStateTextFont - The font style for the empty state text.
 * @property {string} emptyStateTextColor - The text color for the empty state text.
 * @property {string} errorStateTextFont - The font style for the error state text.
 * @property {string} errorStateTextColor - The text color for the error state text.
 * @property {string} loadingIconTint - The tint color for the loading icon.
 * @property {string} searchIconTint - The tint color for the search icon.
 * @property {string} searchBorder - The border for the search box.
 * @property {string} searchBorderRadius - The border radius for the search box.
 * @property {string} searchBackground - The background color for the search box.
 * @property {string} onlineStatusColor - The color indicating the online status of a member.
 * @property {string} separatorColor - The color of the separator.
 * @property {string} sectionHeaderTextFont - The font style for the section header text.
 * @property {string} sectionHeaderTextColor - The text color for the section header text.
 * @property {string} boxShadow - The box shadow for the members list.
 * @property {string} backButtonIconTint - The tint color for the back button icon.
 * @property {string} closeButtonIconTint - The tint color for the close button icon.
 * @property {string} privateGroupIconBackground - The background color for the private group icon.
 * @property {string} passwordGroupIconBackground - The background color for the password protected group icon.
 *
 * @extends {BaseStyle}
 */
export declare class GroupMembersStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    searchPlaceholderTextFont?: string;
    searchPlaceholderTextColor?: string;
    searchTextFont?: string;
    searchTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    loadingIconTint?: string;
    searchIconTint?: string;
    searchBorder?: string;
    searchBorderRadius?: string;
    searchBackground?: string;
    onlineStatusColor?: string;
    separatorColor?: string;
    boxShadow?: string;
    backButtonIconTint?: string;
    closeButtonIconTint?: string;
    privateGroupIconBackground?: string;
    passwordGroupIconBackground?: string;
    padding?: string;
    constructor(props: Partial<GroupMembersStyle>);
}
//# sourceMappingURL=GroupMembersStyle.d.ts.map