import { BaseStyle } from "./BaseStyle";
/**
 * GroupsStyle Class to define the styles for the Groups component.
 *
 * @property {string} titleTextFont - The font for the title text.
 * @property {string} titleTextColor - The color for the title text.
 * @property {string} searchPlaceholderTextFont - The font for the search placeholder text.
 * @property {string} searchPlaceholderTextColor - The color for the search placeholder text.
 * @property {string} searchTextFont - The font for the search text.
 * @property {string} searchTextColor - The color for the search text.
 * @property {string} emptyStateTextFont - The font for the empty state text.
 * @property {string} emptyStateTextColor - The color for the empty state text.
 * @property {string} errorStateTextFont - The font for the error state text.
 * @property {string} errorStateTextColor - The color for the error state text.
 * @property {string} loadingIconTint - The tint color for the loading icon.
 * @property {string} searchIconTint - The tint color for the search icon.
 * @property {string} searchBorder - The border for the search field.
 * @property {string} searchBorderRadius - The border radius for the search field.
 * @property {string} searchBackground - The background color for the search field.
 * @property {string} onlineStatusColor - The color for the online status indicator.
 * @property {string} separatorColor - The color for the separators between items.
 * @property {string} boxShadow - The box shadow for the group item.
 * @property {string} subTitleTextFont - The font for the subtitle text.
 * @property {string} subTitleTextColor - The color for the subtitle text.
 * @property {string} privateGroupIconBackground - The background color for the private group icon.
 * @property {string} passwordGroupIconBackground - The background color for the password protected group icon.
 *
 * @extends {BaseStyle}
 */
export declare class GroupsStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    loadingIconTint?: string;
    separatorColor?: string;
    boxShadow?: string;
    privateGroupIconBackground?: string;
    passwordGroupIconBackground?: string;
    searchIconTint?: string;
    searchBorder?: string;
    searchBorderRadius?: string;
    searchBackground?: string;
    searchPlaceholderTextFont?: string;
    searchPlaceholderTextColor?: string;
    searchTextFont?: string;
    searchTextColor?: string;
    subTitleTextFont?: string;
    subTitleTextColor?: string;
    constructor(props: Partial<GroupsStyle>);
}
//# sourceMappingURL=GroupsStyle.d.ts.map