import { BaseStyle } from './BaseStyle';
/**
 * IncomingCallStyle class represents the styles for users. It extends BaseStyle.
 *
 * @property {string} subtitleTextFont - Font for subTitle text.
 * @property {string} subtitleTextColor - Color for subTitle text.
 * @property {string} titleTextFont - Font for title text.
 * @property {string} titleTextColor - Color for title text.
  * @property {string} acceptButtonTextFont - Font for button text.
 * @property {string} acceptButtonTextColor - Color for button text.
 * @property {string} acceptButtonBackground - Background for button text.
 * @property {string} acceptButtonBorderRadius - BorderRadius for button text.
  * @property {string} acceptButtonBorder - Border for button text.
    * @property {string} declineButtonTextFont - Font for button text.
 * @property {string} declineButtonTextColor - Color for button text.
 * @property {string} declineButtonBackground - Background for button text.
 * @property {string} declineButtonBorderRadius - BorderRadius for button text.
  * @property {string} declineButtonBorder - Border for button text.
 */
export declare class IncomingCallStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    subtitleTextFont?: string;
    subtitleTextColor?: string;
    acceptButtonTextFont?: string;
    acceptButtonTextColor?: string;
    acceptButtonBackground?: string;
    acceptButtonBorderRadius?: string;
    acceptButtonBorder?: string;
    declineButtonTextFont?: string;
    declineButtonTextColor?: string;
    declineButtonBackground?: string;
    declineButtonBorderRadius?: string;
    declineButtonBorder?: string;
    constructor(props: Partial<IncomingCallStyle>);
}
//# sourceMappingURL=IncomingCallStyle.d.ts.map