import { BaseStyle } from "./BaseStyle";
/**
 * MessageComposerStyle class defines the style for a message composer component.
 *
 * @property {string} attachIcontint - The tint color for the attach icon.
 * @property {string} sendIconTint - The tint color for the send icon.
 * @property {string} emojiIconTint - The tint color for the emoji icon.
 * @property {string} inputBackground - The background color for the input field.
 * @property {string} inputBorder - The border color for the input field.
 * @property {string} dividerTint - The tint color for the divider.
 * @property {string} textFont - The font for the text.
 * @property {string} textColor - The color for the text.
 * @property {string} placeHolderTextColor - The color for the placeholder text.
 * @property {string} placeHolderTextFont - The font for the placeholder text.
 * @property {string} ActionSheetSeparatorTint - The tint color for the action sheet separator.
 * @property {string} ActionSheetTitleColor - The color for the action sheet title.
 * @property {string} ActionSheetTitleFont - The font for the action sheet title.
 * @property {string} ActionSheetLayoutModeIconTint - The tint color for the action sheet layout mode icon.
 * @property {string} emojiKeyboardTextFont - The font for the emoji keyboard text.
 * @property {string} emojiKeyboardTextColor - The color for the emoji keyboard text.
 * @property {string} previewTitleFont - The font for the preview title.
 * @property {string} previewTitleColor - The color for the preview title.
 * @property {string} previewSubtitleFont - The font for the preview subtitle.
 * @property {string} previewSubtitleColor - The color for the preview subtitle.
 * @property {string} closePreviewTint - The tint color for the close preview button.
 * @property {string} maxInputHeight - The maximum height of the input field.
 * @extends {BaseStyle}
 */
export declare class MessageComposerStyle extends BaseStyle {
    attachIcontint?: string;
    liveReactionIconTint?: string;
    sendIconTint?: string;
    emojiIconTint?: string;
    AIIconTint?: string;
    voiceRecordingIconTint?: string;
    inputBackground?: string;
    inputBorder?: string;
    inputBorderRadius?: string;
    dividerTint?: string;
    textFont?: string;
    textColor?: string;
    placeHolderTextColor?: string;
    placeHolderTextFont?: string;
    emojiKeyboardTextFont?: string;
    emojiKeyboardTextColor?: string;
    previewTitleFont?: string;
    previewTitleColor?: string;
    previewSubtitleColor?: string;
    previewSubtitleFont?: string;
    closePreviewTint?: string;
    maxInputHeight?: string;
    constructor(props: Partial<MessageComposerStyle>);
}
//# sourceMappingURL=MessageComposerStyle.d.ts.map