import { BaseStyle } from "./BaseStyle";
/**
 * MessageHeaderStyle class represents the styles for message header.
 *
 * @property {string} backButtonIconTint- Tint color for back button icon.
 * @property {string} onlineStatusColor - Color for online status.
 * @property {string} subtitleTextColor - Text color for subtitle.
 * @property {string} subtitleTextFont - Font for subtitle text.
 * @property {string} typingIndicatorTextColor - Text color for typing indicator.
 * @property {string} typingIndicatorTextFont - Font for typing indicator text.
 *  @extends {BaseStyle}
 */
export declare class MessageHeaderStyle extends BaseStyle {
    backButtonIconTint?: string;
    onlineStatusColor?: string;
    subtitleTextColor?: string;
    subtitleTextFont?: string;
    typingIndicatorTextColor?: string;
    typingIndicatorTextFont?: string;
    privateGroupIconBackground?: string;
    passwordGroupIconBackground?: string;
    constructor(props: Partial<MessageHeaderStyle>);
}
//# sourceMappingURL=MessageHeaderStyle.d.ts.map