import { BaseStyle } from "./BaseStyle";
/**
 * MessageInformationStyle class represents the styles for Message information component. It extends BaseStyle.
 *
 * @property {string} titleTextFont - Font for title text.
 * @property {string} titleTextColor - Color for title text.
 * @property {string} sendIconTint - Send icon tint.
 * @property {string} readIconTint - Read icon tint.
 * @property {string} deliveredIconTint - Delivered icon tint.
 * @property {string} emptyStateTextFont - Font for empty state text.
 * @property {string} emptyStateTextColor - Color for empty state text.
 * @property {string} errorStateTextFont - Font for error state text.
 * @property {string} errorStateTextColor - Color for error state text.
 * @property {string} loadingIconTint - Tint color for loading icon.
 * @property {string} subtitleTextFont - Font for subtitle  text.
 * @property {string} subtitleTextColor - Color for subtitle  text.
 * @property {string} dividerTint - divider icon tint.
 */
export declare class MessageInformationStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    sendIconTint?: string;
    loadingIconTint?: string;
    readIconTint?: string;
    deliveredIconTint?: string;
    subtitleTextFont?: string;
    subtitleTextColor?: string;
    dividerTint?: string;
    captionTextFont?: string;
    captionTextColor?: string;
    constructor(props: Partial<MessageInformationStyle>);
}
//# sourceMappingURL=MessageInformationStyle.d.ts.map