import { BaseStyle } from "./BaseStyle";
/**
 * MessageListStyle class represents the styles for message list. It extends BaseStyle.
 *
 * @property {string} nameTextFont - Font for name text.
 * @property {string} nameTextColor - Color for name text.
 * @property {string} threadReplySeparatorColor - Separator color for thread reply.
 * @property {string} threadReplyTextFont - Font for thread reply text.
 * @property {string} threadReplyIconTint - Tint color for thread reply icon.
 * @property {string} threadReplyTextColor - Color for thread reply text.
 * @property {string} textFont - Font for text.
 * @property {string} textColor - Color for text.
 * @property {string} emptyStateTextFont - Font for empty state text.
 * @property {string} emptyStateTextColor - Color for empty state text.
 * @property {string} errorStateTextFont - Font for error state text.
 * @property {string} errorStateTextColor - Color for error state text.
 * @property {string} loadingIconTint - Tint color for loading icon.
 *   @extends {BaseStyle}
 */
export declare class MessageListStyle extends BaseStyle {
    nameTextFont?: string;
    nameTextColor?: string;
    threadReplyTextFont?: string;
    threadReplyIconTint?: string;
    threadReplyTextColor?: string;
    threadReplyUnreadTextColor?: string;
    threadReplyUnreadTextFont?: string;
    threadReplyUnreadBackground?: string;
    TimestampTextFont?: string;
    TimestampTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    loadingIconTint?: string;
    constructor(props: Partial<MessageListStyle>);
}
//# sourceMappingURL=MessageListStyle.d.ts.map