import { BaseStyle } from "./BaseStyle";
/**
 * UsersStyle class represents the styles for users. It extends BaseStyle.
 *
 * @property {string} titleTextFont - Font for title text.
 * @property {string} titleTextColor - Color for title text.
 * @property {string} searchPlaceholderTextFont - Font for search placeholder text.
 * @property {string} searchPlaceholderTextColor - Color for search placeholder text.
 * @property {string} searchTextFont - Font for search text.
 * @property {string} searchTextColor - Color for search text.
 * @property {string} emptyStateTextFont - Font for empty state text.
 * @property {string} emptyStateTextColor - Color for empty state text.
 * @property {string} errorStateTextFont - Font for error state text.
 * @property {string} errorStateTextColor - Color for error state text.
 * @property {string} loadingIconTint - Tint color for loading icon.
 * @property {string} searchIconTint - Tint color for search icon.
 * @property {string} searchBorder - Border for the search field.
 * @property {string} searchBorderRadius - Border radius for the search field.
 * @property {string} searchBackground - Background color for the search field.
 * @property {string} onlineStatusColor - Color for online status.
 * @property {string} separatorColor - Color for separator.
 * @property {string} sectionHeaderTextFont - Font for section header text.
 * @property {string} sectionHeaderTextColor - Color for section header text.
 * @property {string} boxShadow - Shadow for the box.
 */
export declare class UsersStyle extends BaseStyle {
    titleTextFont?: string;
    titleTextColor?: string;
    emptyStateTextFont?: string;
    emptyStateTextColor?: string;
    errorStateTextFont?: string;
    errorStateTextColor?: string;
    loadingIconTint?: string;
    onlineStatusColor?: string;
    separatorColor?: string;
    boxShadow?: string;
    searchIconTint?: string;
    searchBorder?: string;
    searchBorderRadius?: string;
    searchBackground?: string;
    searchPlaceholderTextFont?: string;
    searchPlaceholderTextColor?: string;
    searchTextFont?: string;
    searchTextColor?: string;
    sectionHeaderTextFont?: string;
    sectionHeaderTextColor?: string;
    constructor(props: Partial<UsersStyle>);
}
//# sourceMappingURL=UsersStyle.d.ts.map