import { ButtonElement } from "@cometchat/uikit-resources";
import { BaseMessage } from "@cometchat/chat-sdk-javascript";
export declare class InteractiveMessageUtils {
    /**
     * Converts an interactive message to its corresponding object type.
     * @param message The message to convert.
     * @returns The converted message object.
     */
    static convertInteractiveMessage(message: BaseMessage): BaseMessage;
    static fetcher({ url, method, body, headers, }: {
        url: string;
        method: string;
        body: any;
        headers: any;
    }): Promise<Response>;
    static dataSet: {
        form: string;
        scheduler: string;
    };
    static actionHandler(action: ButtonElement["action"], data: {
        elementId: string;
        data?: Object;
        loggedInUser?: CometChat.User;
        message: CometChat.InteractiveMessage;
    }): Promise<boolean>;
    static getMetaData(messageObj: CometChat.InteractiveMessage): {
        conversationId: string;
        sender: string;
        receiver: string;
        receiverType: string;
        messageCategory: import("@cometchat/chat-sdk-javascript").MessageCategory;
        messageType: string;
        messageId: number;
    };
}
//# sourceMappingURL=InteractiveMessageUtils.d.ts.map